# HG changeset patch
# Node ID 47845d6a0d31558347b3bd9071bdc78bac45b8c8
# Parent  be9cbf26b31d81430b773bc976e73f9ccd46fff1
diff --git a/gplugin-gtk4-viewer/gplugin-gtk-viewer.c b/gplugin-gtk4-viewer/gplugin-gtk-viewer.c
--- a/gplugin-gtk4-viewer/gplugin-gtk-viewer.c
+++ b/gplugin-gtk4-viewer/gplugin-gtk-viewer.c
@@ -34,7 +34,7 @@
  * Helpers
  *****************************************************************************/
 
-static gint
+static int
 handle_local_options_cb(
 	G_GNUC_UNUSED GApplication *app,
 	GVariantDict *options,
@@ -150,11 +150,11 @@
 };
 /* clang-format on */
 
-gint
-main(gint argc, gchar **argv)
+int
+main(int argc, char **argv)
 {
 	GtkApplication *app = NULL;
-	gint ret;
+	int ret;
 
 	/* Set up gettext translations. */
 	bindtextdomain(GETTEXT_PACKAGE, LOCALEDIR);
diff --git a/gplugin-gtk4/gplugin-gtk-plugin-closures.h b/gplugin-gtk4/gplugin-gtk-plugin-closures.h
--- a/gplugin-gtk4/gplugin-gtk-plugin-closures.h
+++ b/gplugin-gtk4/gplugin-gtk-plugin-closures.h
@@ -34,10 +34,10 @@
 G_BEGIN_DECLS
 
 G_GNUC_INTERNAL
-gchar *gplugin_gtk_lookup_plugin_name(
+char *gplugin_gtk_lookup_plugin_name(
 	GtkClosureExpression *expression,
 	GPluginPluginInfo *info,
-	const gchar *filename,
+	const char *filename,
 	gpointer data);
 
 G_GNUC_INTERNAL
diff --git a/gplugin-gtk4/gplugin-gtk-plugin-closures.c b/gplugin-gtk4/gplugin-gtk-plugin-closures.c
--- a/gplugin-gtk4/gplugin-gtk-plugin-closures.c
+++ b/gplugin-gtk4/gplugin-gtk-plugin-closures.c
@@ -25,16 +25,16 @@
  * Private API
  *****************************************************************************/
 
-gchar *
+char *
 gplugin_gtk_lookup_plugin_name(
 	G_GNUC_UNUSED GtkClosureExpression *expression,
 	GPluginPluginInfo *info,
-	const gchar *filename,
+	const char *filename,
 	G_GNUC_UNUSED gpointer data)
 {
-	const gchar *name = NULL;
-	gchar *basename = NULL;
-	gchar *unnamed = NULL;
+	const char *name = NULL;
+	char *basename = NULL;
+	char *unnamed = NULL;
 
 	name = gplugin_plugin_info_get_name(info);
 	if(name != NULL) {
diff --git a/gplugin-gtk4/gplugin-gtk-plugin-page.c b/gplugin-gtk4/gplugin-gtk-plugin-page.c
--- a/gplugin-gtk4/gplugin-gtk-plugin-page.c
+++ b/gplugin-gtk4/gplugin-gtk-plugin-page.c
@@ -81,7 +81,7 @@
 
 		info = gplugin_plugin_get_info(page->plugin);
 		if(GPLUGIN_IS_PLUGIN_INFO(info)) {
-			const gchar *schema = NULL;
+			const char *schema = NULL;
 
 			schema = gplugin_plugin_info_get_settings_schema(info);
 			if(schema != NULL) {
@@ -114,10 +114,10 @@
 	return TRUE;
 }
 
-static gchar *
+static char *
 gplugin_gtk_plugin_page_newline_strjoinv_cb(
 	G_GNUC_UNUSED GtkClosureExpression *expression,
-	gchar **str_array,
+	char **str_array,
 	G_GNUC_UNUSED gpointer data)
 {
 	if(str_array == NULL) {
@@ -127,10 +127,10 @@
 	return g_strjoinv("\n", str_array);
 }
 
-static gchar *
+static char *
 gplugin_gtk_plugin_page_lookup_website_cb(
 	G_GNUC_UNUSED GtkClosureExpression *expression,
-	const gchar *website,
+	const char *website,
 	G_GNUC_UNUSED gpointer data)
 {
 	if(website == NULL) {
@@ -140,7 +140,7 @@
 	return g_markup_printf_escaped("<a href=\"%s\">%s</a>", website, website);
 }
 
-static gchar *
+static char *
 gplugin_gtk_plugin_page_lookup_error_cb(
 	G_GNUC_UNUSED GtkClosureExpression *expression,
 	GError *error,
@@ -153,7 +153,7 @@
 	return g_strdup(error->message);
 }
 
-static gchar *
+static char *
 gplugin_gtk_plugin_page_lookup_abi_version_cb(
 	G_GNUC_UNUSED GtkClosureExpression *expression,
 	guint32 abi_version,
@@ -162,7 +162,7 @@
 	return g_strdup_printf("%08x", abi_version);
 }
 
-static gchar *
+static char *
 gplugin_gtk_plugin_page_lookup_loader_cb(
 	G_GNUC_UNUSED GtkClosureExpression *expression,
 	GPluginPlugin *plugin,
diff --git a/gplugin-gtk4/gplugin-gtk-plugin-row.h b/gplugin-gtk4/gplugin-gtk-plugin-row.h
--- a/gplugin-gtk4/gplugin-gtk-plugin-row.h
+++ b/gplugin-gtk4/gplugin-gtk-plugin-row.h
@@ -54,11 +54,11 @@
 GPLUGIN_GTK_AVAILABLE_IN_0_38
 GPluginPlugin *gplugin_gtk_plugin_row_get_plugin(GPluginGtkPluginRow *row);
 GPLUGIN_GTK_AVAILABLE_IN_0_38
-gchar *gplugin_gtk_plugin_row_get_sort_key(GPluginGtkPluginRow *row);
+char *gplugin_gtk_plugin_row_get_sort_key(GPluginGtkPluginRow *row);
 GPLUGIN_GTK_AVAILABLE_IN_0_38
 gboolean gplugin_gtk_plugin_row_matches_search(
 	GPluginGtkPluginRow *row,
-	const gchar *text);
+	const char *text);
 
 G_END_DECLS
 
diff --git a/gplugin-gtk4/gplugin-gtk-plugin-row.c b/gplugin-gtk4/gplugin-gtk-plugin-row.c
--- a/gplugin-gtk4/gplugin-gtk-plugin-row.c
+++ b/gplugin-gtk4/gplugin-gtk-plugin-row.c
@@ -293,7 +293,7 @@
  *
  * Since: 0.38
  */
-gchar *
+char *
 gplugin_gtk_plugin_row_get_sort_key(GPluginGtkPluginRow *row)
 {
 	g_return_val_if_fail(GPLUGIN_GTK_IS_PLUGIN_ROW(row), NULL);
@@ -315,9 +315,9 @@
 gboolean
 gplugin_gtk_plugin_row_matches_search(
 	GPluginGtkPluginRow *row,
-	const gchar *text)
+	const char *text)
 {
-	const gchar *value = NULL;
+	const char *value = NULL;
 
 	g_return_val_if_fail(GPLUGIN_GTK_IS_PLUGIN_ROW(row), FALSE);
 
@@ -333,7 +333,7 @@
 
 	if(GPLUGIN_IS_PLUGIN(row->plugin)) {
 		GPluginPluginInfo *plugin_info = NULL;
-		gchar *filename = NULL;
+		char *filename = NULL;
 
 		plugin_info = gplugin_plugin_get_info(row->plugin);
 		value = gplugin_plugin_info_get_description(plugin_info);
diff --git a/gplugin-gtk4/gplugin-gtk-plugin-settings-list.c b/gplugin-gtk4/gplugin-gtk-plugin-settings-list.c
--- a/gplugin-gtk4/gplugin-gtk-plugin-settings-list.c
+++ b/gplugin-gtk4/gplugin-gtk-plugin-settings-list.c
@@ -128,7 +128,7 @@
 	GVariant *range_value)
 {
 	GtkWidget *dropdown = NULL;
-	const gchar **allowed_values = NULL;
+	const char **allowed_values = NULL;
 	GListModel *model = NULL;
 
 	allowed_values = g_variant_get_strv(range_value, NULL);
@@ -405,7 +405,7 @@
 static GtkWidget *
 gplugin_gtk_plugin_settings_row_new_for_key(
 	GSettings *settings,
-	const gchar *name,
+	const char *name,
 	GSettingsSchemaKey *key,
 	GtkSizeGroup *sg)
 {
@@ -414,7 +414,7 @@
 	GtkWidget *entry = NULL;
 	const char *summary = NULL;
 	GVariant *range = NULL;
-	gchar *range_type = NULL;
+	char *range_type = NULL;
 	GVariant *range_value = NULL;
 
 	widget = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 12);
@@ -475,7 +475,7 @@
 	GSettings *settings)
 {
 	GSettingsSchema *schema = NULL;
-	gchar **names = NULL;
+	char **names = NULL;
 	GtkSizeGroup *sg = NULL;
 
 	while(list->rows) {
@@ -491,7 +491,7 @@
 	names = g_settings_schema_list_keys(schema);
 	sg = gtk_size_group_new(GTK_SIZE_GROUP_HORIZONTAL);
 
-	for(gint i = 0; names[i] != NULL; i++) {
+	for(int i = 0; names[i] != NULL; i++) {
 		GSettingsSchemaKey *key = NULL;
 		GtkWidget *row = NULL;
 		GtkWidget *widget = NULL;
diff --git a/gplugin-gtk4/gplugin-gtk-version.h b/gplugin-gtk4/gplugin-gtk-version.h
--- a/gplugin-gtk4/gplugin-gtk-version.h
+++ b/gplugin-gtk4/gplugin-gtk-version.h
@@ -329,7 +329,7 @@
 G_BEGIN_DECLS
 
 GPLUGIN_GTK_AVAILABLE_IN_ALL
-const gchar *gplugin_gtk_version_check(guint major, guint minor, guint micro);
+const char *gplugin_gtk_version_check(guint major, guint minor, guint micro);
 
 G_END_DECLS
 
diff --git a/gplugin-gtk4/gplugin-gtk-version.c b/gplugin-gtk4/gplugin-gtk-version.c
--- a/gplugin-gtk4/gplugin-gtk-version.c
+++ b/gplugin-gtk4/gplugin-gtk-version.c
@@ -87,7 +87,7 @@
  *          version, or a string describing the version mismatch. The returned
  *          string is owned by GPluginGtk and must not be modified or freed.
  */
-const gchar *
+const char *
 gplugin_version_check(guint major, guint minor, guint micro)
 {
 	if(major > GPLUGIN_GTK_MAJOR_VERSION) {
diff --git a/gplugin-gtk4/gplugin-gtk-view.c b/gplugin-gtk4/gplugin-gtk-view.c
--- a/gplugin-gtk4/gplugin-gtk-view.c
+++ b/gplugin-gtk4/gplugin-gtk-view.c
@@ -116,7 +116,7 @@
 
 static void
 gplugin_gtk_view_add_plugins_to_list(
-	G_GNUC_UNUSED const gchar *id,
+	G_GNUC_UNUSED const char *id,
 	GSList *plugins,
 	gpointer data)
 {
@@ -143,8 +143,8 @@
 	G_GNUC_UNUSED gpointer data)
 {
 	GPluginGtkPluginRow *plugin_row1 = NULL, *plugin_row2 = NULL;
-	gchar *key1 = NULL, *key2 = NULL;
-	gint ret = 0;
+	char *key1 = NULL, *key2 = NULL;
+	int ret = 0;
 
 	plugin_row1 = GPLUGIN_GTK_PLUGIN_ROW(row1);
 	key1 = gplugin_gtk_plugin_row_get_sort_key(plugin_row1);
@@ -167,7 +167,7 @@
 	gboolean visible = TRUE;
 
 	if(gtk_search_bar_get_search_mode(GTK_SEARCH_BAR(view->search_bar))) {
-		const gchar *text =
+		const char *text =
 			gtk_editable_get_text(GTK_EDITABLE(view->search_entry));
 		if(text != NULL && text[0] != '\0') {
 			GPluginGtkPluginRow *plugin_row = GPLUGIN_GTK_PLUGIN_ROW(row);
